org.eclipse.jetty.util.component

## Class FileNoticeLifeCycleListener

- java.lang.Object
- - org.eclipse.jetty.util.component.FileNoticeLifeCycleListener

All Implemented Interfaces:
  EventListener, LifeCycle.Listener

    public class FileNoticeLifeCycleListener
    extends Object
    implements LifeCycle.Listener

A LifeCycle Listener that writes state changes to a file.

This can be used with the jetty.sh script to wait for successful startup.

### Constructor Summary

Constructors
Constructor and Description
`FileNoticeLifeCycleListener(String filename)`

### Method Summary

Methods
`void` `lifeCycleFailure(LifeCycle event, Throwable cause)`
`void` `lifeCycleStarted(LifeCycle event)`
`void` `lifeCycleStarting(LifeCycle event)`
`void` `lifeCycleStopped(LifeCycle event)`
`void` `lifeCycleStopping(LifeCycle event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileNoticeLifeCycleListener

    public FileNoticeLifeCycleListener(String filename)

### Method Detail

#### lifeCycleStarting

    public void lifeCycleStarting(LifeCycle event)

Specified by:
  `lifeCycleStarting` in interface `LifeCycle.Listener`

#### lifeCycleStarted

    public void lifeCycleStarted(LifeCycle event)

Specified by:
  `lifeCycleStarted` in interface `LifeCycle.Listener`

#### lifeCycleFailure

    public void lifeCycleFailure(LifeCycle event,
                        Throwable cause)

Specified by:
  `lifeCycleFailure` in interface `LifeCycle.Listener`

#### lifeCycleStopping

    public void lifeCycleStopping(LifeCycle event)

Specified by:
  `lifeCycleStopping` in interface `LifeCycle.Listener`

#### lifeCycleStopped

    public void lifeCycleStopped(LifeCycle event)

Specified by:
  `lifeCycleStopped` in interface `LifeCycle.Listener`